Skip to main content
GET
/
api
/
v1
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.example.com/api/v1/subscriptions \
  --header 'x-api-key: <x-api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_email": "<string>",
    "plan_name": "<string>",
    "status": "<string>",
    "amount": 123,
    "currency": "<string>",
    "interval": "<string>",
    "current_period_start": "2023-11-07T05:31:56Z",
    "current_period_end": "2023-11-07T05:31:56Z",
    "cancelled_at": "2023-11-07T05:31:56Z",
    "cancel_at_period_end": true,
    "cancelled_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Headers

x-api-key
string
required

Query Parameters

status_filter
enum<string> | null
Available options:
ACTIVE,
PAST_DUE,
CANCELLED,
PAUSED,
TRIALING,
EXPIRED

Response

Successful Response

id
string<uuid>
required
customer_email
string
required
plan_name
string
required
status
string
required
amount
number
required
currency
string
required
interval
string
required
current_period_start
string<date-time>
required
current_period_end
string<date-time>
required
cancelled_at
string<date-time> | null
required
cancel_at_period_end
boolean
required
cancelled_by
string | null
required
created_at
string<date-time>
required